diff --git a/dlls/quartz/tests/vmr9.c b/dlls/quartz/tests/vmr9.c
index 405f7ee89..a0ccb4898 100644
--- a/dlls/quartz/tests/vmr9.c
+++ b/dlls/quartz/tests/vmr9.c
@@ -1699,54 +1696,54 @@ static void test_connect_pin(void)
                 skip("Got E_FAIL when connecting.\n");
                 goto out;
             }
-            ok(hr == S_OK, "Got hr %#lx for subtype %s and bpp %u.\n", hr,
+            ok(hr == S_OK, "Got hr %#x for subtype %s and bpp %u.\n", hr,
                     wine_dbgstr_guid(subtype_tests[i]), bpp_tests[j]);
 
             hr = IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
-            ok(hr == S_OK, "Got hr %#lx.\n", hr);
+            ok(hr == S_OK, "Got hr %#x.\n", hr);
             hr = IFilterGraph2_Disconnect(graph, pin);
-            ok(hr == S_OK, "Got hr %#lx.\n", hr);
+            ok(hr == S_OK, "Got hr %#x.\n", hr);
         }
     }
 
     req_mt.formattype = FORMAT_None;
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#x.\n", hr);
     req_mt.formattype = FORMAT_VideoInfo;
 
     req_mt.subtype = MEDIASUBTYPE_RGB8;
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#x.\n", hr);
     req_mt.subtype = MEDIASUBTYPE_WAVE;
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_TYPE_NOT_ACCEPTED, "Got hr %#x.\n", hr);
     req_mt.subtype = MEDIASUBTYPE_RGB32;
 
     peer = (IPin *)0xdeadbeef;
     hr = IPin_ConnectedTo(pin, &peer);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
     ok(!peer, "Got peer %p.\n", peer);
 
     hr = IPin_ConnectionMediaType(pin, &mt);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IMediaControl_Pause(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == VFW_E_NOT_STOPPED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_STOPPED, "Got hr %#x.\n", hr);
     hr = IMediaControl_Stop(control);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IPin_ConnectedTo(pin, &peer);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(peer == &source.source.pin.IPin_iface, "Got peer %p.\n", peer);
     IPin_Release(peer);
 
     hr = IPin_ConnectionMediaType(pin, &mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(compare_media_types(&mt, &req_mt), "Media types didn't match.\n");
 
     /* Disconnecting while not stopped is broken: it returns S_OK, but
@@ -1755,16 +1752,16 @@ static void test_connect_pin(void)
     test_allocator(input);
 
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
     hr = IMemAllocator_Commit(allocator);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     IMemAllocator_Release(allocator);
 
     hr = IMemInputPin_ReceiveCanBlock(input);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     test_filter_state(input, control);
     test_flushing(pin, input, control);
@@ -1774,30 +1771,30 @@ static void test_connect_pin(void)
     test_window_close(pin, input, control);
 
     hr = IFilterGraph2_Disconnect(graph, pin);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IFilterGraph2_Disconnect(graph, pin);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
     ok(source.source.pin.peer == pin, "Got peer %p.\n", source.source.pin.peer);
     IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
 
     peer = (IPin *)0xdeadbeef;
     hr = IPin_ConnectedTo(pin, &peer);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
     ok(!peer, "Got peer %p.\n", peer);
 
     hr = IPin_ConnectionMediaType(pin, &mt);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
 out:
     IMediaControl_Release(control);
     ref = IFilterGraph2_Release(graph);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     IMemInputPin_Release(input);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ref = IBaseFilter_Release(&source.filter.IBaseFilter_iface);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 }
 
 static void test_overlay(void)
@@ -1812,49 +1809,49 @@ static void test_overlay(void)
     IBaseFilter_FindPin(filter, L"VMR Input0", &pin);
 
     hr = IPin_QueryInterface(pin, &IID_IOverlay, (void **)&overlay);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hwnd = (HWND)0xdeadbeef;
     hr = IOverlay_GetWindowHandle(overlay, &hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(hwnd && hwnd != (HWND)0xdeadbeef, "Got invalid window %p.\n", hwnd);
 
     IOverlay_Release(overlay);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 
     filter = create_vmr9(VMR9Mode_Windowless);
     IBaseFilter_FindPin(filter, L"VMR Input0", &pin);
 
     hr = IPin_QueryInterface(pin, &IID_IOverlay, (void **)&overlay);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hwnd = (HWND)0xdeadbeef;
     hr = IOverlay_GetWindowHandle(overlay, &hwnd);
-    ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
     ok(hwnd == (HWND)0xdeadbeef, "Got window %p.\n", hwnd);
 
     IOverlay_Release(overlay);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 
     filter = create_vmr9(VMR9Mode_Renderless);
     IBaseFilter_FindPin(filter, L"VMR Input0", &pin);
 
     hr = IPin_QueryInterface(pin, &IID_IOverlay, (void **)&overlay);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hwnd = (HWND)0xdeadbeef;
     hr = IOverlay_GetWindowHandle(overlay, &hwnd);
-    ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
     ok(hwnd == (HWND)0xdeadbeef, "Got window %p.\n", hwnd);
 
     IOverlay_Release(overlay);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 }
 
 /* try to make sure pending X events have been processed before continuing */
@@ -1878,7 +1875,7 @@ static void flush_events(void)
 static LRESULT CALLBACK window_proc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam)
 {
     if (winetest_debug > 1)
-        trace("hwnd %p, msg %#x, wparam %#Ix, lparam %#Ix.\n", hwnd, msg, wparam, lparam);
+        trace("hwnd %p, msg %#x, wparam %#lx, lparam %#lx.\n", hwnd, msg, wparam, lparam);
 
     if (wparam == 0xdeadbeef)
         return 0;
@@ -1893,7 +1890,7 @@ static void test_video_window_caption(IVideoWindow *window, HWND hwnd)
     HRESULT hr;
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!wcscmp(caption, L"ActiveMovie Window"), "Got caption %s.\n", wine_dbgstr_w(caption));
     SysFreeString(caption);
 
@@ -1902,11 +1899,11 @@ static void test_video_window_caption(IVideoWindow *window, HWND hwnd)
 
     caption = SysAllocString(L"foo");
     hr = IVideoWindow_put_Caption(window, caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     SysFreeString(caption);
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(!wcscmp(caption, L"foo"), "Got caption %s.\n", wine_dbgstr_w(caption));
     SysFreeString(caption);
 
@@ -1920,53 +1917,53 @@ static void test_video_window_style(IVideoWindow *window, HWND hwnd, HWND our_hw
     LONG style;
 
     hr = IVideoWindow_get_WindowStyle(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(style == (WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_OVERLAPPEDWINDOW),
-            "Got style %#lx.\n", style);
+            "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_STYLE);
     ok(style == (WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_OVERLAPPEDWINDOW),
-            "Got style %#lx.\n", style);
+            "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_WindowStyle(window, style | WS_DISABLED);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_HSCROLL);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_VSCROLL);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_MAXIMIZE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_WindowStyle(window, style | WS_MINIMIZE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_WindowStyle(window, style & ~WS_CLIPCHILDREN);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyle(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_STYLE);
-    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#lx.\n", style);
+    ok(style == (WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW), "Got style %#x.\n", style);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_get_WindowStyleEx(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == WS_EX_WINDOWEDGE, "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == WS_EX_WINDOWEDGE, "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_EXSTYLE);
-    ok(style == WS_EX_WINDOWEDGE, "Got style %#lx.\n", style);
+    ok(style == WS_EX_WINDOWEDGE, "Got style %#x.\n", style);
 
     hr = IVideoWindow_put_WindowStyleEx(window, style | WS_EX_TRANSPARENT);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyleEx(window, &style);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#lx.\n", style);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#x.\n", style);
 
     style = GetWindowLongA(hwnd, GWL_EXSTYLE);
-    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#lx.\n", style);
+    ok(style == (WS_EX_WINDOWEDGE | WS_EX_TRANSPARENT), "Got style %#x.\n", style);
 }
 
 static BOOL CALLBACK top_window_cb(HWND hwnd, LPARAM ctx)
@@ -1997,25 +1994,25 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
     ok(!IsZoomed(hwnd), "Window should not be maximized.\n");
 
     hr = IVideoWindow_put_WindowState(window, SW_SHOWNA);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -2025,14 +2022,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(top == hwnd, "Got top window %p.\n", top);
 
     hr = IVideoWindow_put_WindowState(window, SW_MINIMIZE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_MINIMIZE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_MINIMIZE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(IsIconic(hwnd), "Window should be minimized.\n");
@@ -2040,14 +2037,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_RESTORE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -2055,14 +2052,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_MAXIMIZE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_MAXIMIZE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_MAXIMIZE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should be minimized.\n");
@@ -2070,17 +2067,17 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_RESTORE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_put_WindowState(window, SW_HIDE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -2088,14 +2085,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_Visible(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_SHOW, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_SHOW, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OATRUE, "Got state %ld.\n", state);
+    ok(state == OATRUE, "Got state %d.\n", state);
 
     ok(IsWindowVisible(hwnd), "Window should be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -2103,14 +2100,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_Visible(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowState(window, &state);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(state == SW_HIDE, "Got state %ld.\n", state);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(state == SW_HIDE, "Got state %d.\n", state);
 
     hr = IVideoWindow_get_Visible(window, &state);
-    ok(state == OAFALSE, "Got state %ld.\n", state);
+    ok(state == OAFALSE, "Got state %d.\n", state);
 
     ok(!IsWindowVisible(hwnd), "Window should not be visible.\n");
     ok(!IsIconic(hwnd), "Window should not be minimized.\n");
@@ -2118,14 +2115,14 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
 
     hr = IVideoWindow_put_WindowState(window, SW_SHOWNA);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_SetWindowForeground(window, TRUE);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
     hr = IVideoWindow_SetWindowForeground(window, OATRUE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -2133,7 +2130,7 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
     ok(top == hwnd, "Got top window %p.\n", top);
 
     hr = IVideoWindow_SetWindowForeground(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -2142,7 +2139,7 @@ static void test_video_window_state(IVideoWindow *window, HWND hwnd, HWND our_hw
 
     SetWindowPos(our_hwnd, HWND_TOP, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
     hr = IVideoWindow_SetWindowForeground(window, OAFALSE);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     ok(GetFocus() == our_hwnd, "Got focus window %p.\n", GetFocus());
     ok(GetForegroundWindow() == our_hwnd, "Got foreground window %p.\n", GetForegroundWindow());
@@ -2164,114 +2161,114 @@ static void test_video_window_position(IVideoWindow *window, HWND hwnd, HWND our
     expect_height = rect.bottom - rect.top;
 
     hr = IVideoWindow_put_Left(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IVideoWindow_put_Top(window, 0);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 0, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 0, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == expect_height, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 0, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 0, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == expect_height, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 0, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == expect_height, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 0, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == expect_height, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_put_Left(window, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == expect_height, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == expect_height, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == expect_height, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 10, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 10 + expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == expect_height, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 10, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == 10 + expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == expect_height, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_put_Height(window, 200);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 0, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 0, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == expect_width, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == expect_width, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == 200, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == 200, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 10, "Got left %ld.\n", left);
-    ok(top == 0, "Got top %ld.\n", top);
-    ok(width == expect_width, "Got width %ld.\n", width);
-    ok(height == 200, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 10, "Got left %d.\n", left);
+    ok(top == 0, "Got top %d.\n", top);
+    ok(width == expect_width, "Got width %d.\n", width);
+    ok(height == 200, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 10, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 0, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 10 + expect_width, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == 200, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 10, "Got window left %d.\n", rect.left);
+    ok(rect.top == 0, "Got window top %d.\n", rect.top);
+    ok(rect.right == 10 + expect_width, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == 200, "Got window bottom %d.\n", rect.bottom);
 
     hr = IVideoWindow_SetWindowPosition(window, 100, 200, 300, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Left(window, &left);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 100, "Got left %ld.\n", left);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 100, "Got left %d.\n", left);
     hr = IVideoWindow_get_Top(window, &top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(top == 200, "Got top %ld.\n", top);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(top == 200, "Got top %d.\n", top);
     hr = IVideoWindow_get_Width(window, &width);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == 300, "Got width %ld.\n", width);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == 300, "Got width %d.\n", width);
     hr = IVideoWindow_get_Height(window, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(height == 400, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(height == 400, "Got height %d.\n", height);
     hr = IVideoWindow_GetWindowPosition(window, &left, &top, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(left == 100, "Got left %ld.\n", left);
-    ok(top == 200, "Got top %ld.\n", top);
-    ok(width == 300, "Got width %ld.\n", width);
-    ok(height == 400, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(left == 100, "Got left %d.\n", left);
+    ok(top == 200, "Got top %d.\n", top);
+    ok(width == 300, "Got width %d.\n", width);
+    ok(height == 400, "Got height %d.\n", height);
     GetWindowRect(hwnd, &rect);
-    ok(rect.left == 100, "Got window left %ld.\n", rect.left);
-    ok(rect.top == 200, "Got window top %ld.\n", rect.top);
-    ok(rect.right == 400, "Got window right %ld.\n", rect.right);
-    ok(rect.bottom == 600, "Got window bottom %ld.\n", rect.bottom);
+    ok(rect.left == 100, "Got window left %d.\n", rect.left);
+    ok(rect.top == 200, "Got window top %d.\n", rect.top);
+    ok(rect.right == 400, "Got window right %d.\n", rect.right);
+    ok(rect.bottom == 600, "Got window bottom %d.\n", rect.bottom);
 
     ok(GetActiveWindow() == our_hwnd, "Got active window %p.\n", GetActiveWindow());
     top_hwnd = get_top_window();
